# Installation

Run `composer require dedi/sylius-reorder-plugin`

Add the plugin and dependency classes to your `config/bundles.php` :

```php
<?php

return [
    //..
    Dedi\SyliusReorderPlugin\DediSyliusReorderPlugin::class => ['all' => true],
    // ..
];
```

Create `dedi_sylius_reorder_plugin.yaml` file into `config/packages` folder to import the plugin's config

```yaml
# config/packages/dedi_sylius_reorder_plugin.yaml
imports:
    - { resource: "@DediSyliusReorderPlugin/Resources/config/config.yaml" }
```

### Import the routes

```yaml
# config/routes/sylius_shop.yaml

...

dedi_sylius_reorder_plugin:
    resource: "@DediSyliusReorderPlugin/Resources/config/shop_routing.yml"
```

```yaml
# config/routes/sylius_admin.yaml

...

dedi_sylius_reorder_plugin:
    resource: "@DediSyliusReorderPlugin/Resources/config/admin_routing.yml"
```

### Install Assets
```bash
    bin/console assets:install
```
